%global _empty_manifest_terminate_build 0
Name:		python-ConfigArgParse
Version:	1.7
Release:	1
Summary:	A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables.
License:	MIT
URL:		https://github.com/bw2/ConfigArgParse
Source0:	https://files.pythonhosted.org/packages/70/8a/73f1008adfad01cb923255b924b1528727b8270e67cb4ef41eabdc7d783e/ConfigArgParse-1.7.tar.gz
BuildArch:	noarch

%description
This module is an extension of argparse module and adds support for config
files and environment variables. Using this module, applications can be
configured through a combination of command line args, config files,
hard-coded defaults and environment variables.

%package -n python3-ConfigArgParse
Summary:	A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables.
Provides:	python-ConfigArgParse = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-ConfigArgParse
This module is an extension of argparse module and adds support for config
files and environment variables. Using this module, applications can be
configured through a combination of command line args, config files,
hard-coded defaults and environment variables.

%package help
Summary:	Development documents and examples for ConfigArgParse
Provides:	python3-ConfigArgParse-doc
%description help
This module is an extension of argparse module and adds support for config
files and environment variables. Using this module, applications can be
configured through a combination of command line args, config files,
hard-coded defaults and environment variables.

%prep
%autosetup -n ConfigArgParse-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ConfigArgParse -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 1 2023 sunhui <sunhui@kylinos.cn> - 1.7-1
- Update package to version 1.7

* Mon Jul 03 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 1.5.5-1
- Update package to version 1.5.5

* Sat Sep 24 2022 guozhengxin <guozhengxin@kylinos.cn> - 1.5.3-1
- Upgrade package to version 1.5.3

* Wed Jun 23 2021 Python_Bot <Python_Bot@openeuler.org> - 1.5-1
- Package Spec generated
